Page MenuHomePhabricator

Add gloss in additional language
Closed, ResolvedPublic8 Story Points

Description

Narrative:
As an editor of Wikidata-Lexeme I want to be able to Add gloss in additional language in order to make the meaning of a word accessible to speakers of other languages.

Acceptance Criteria:

  • I can add a new Gloss to an existing Sense
  • I am not able to provide two Glosses with the same language code
  • The new Gloss is stored persistently/survives a page reload

Given: I am on the Senses section of a Lexeme page
When: I click edit on an existing Sense
Then: I get an input field for a new Gloss and language code
Then: I enter them
Then: I click save
And: The new Gloss is stored

Personas to take into account:
Niels - Active editor on Wikidata
Alex - Data user in small startup

Event Timeline

RazShuty created this task.Jun 3 2018, 11:15 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 3 2018, 11:15 AM
Vvjjkkii renamed this task from Add gloss in additional language to crbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from crbaaaaaaa to Add gloss in additional language.Jul 2 2018, 12:39 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
Lucas_Werkmeister_WMDE set the point value for this task to 5.Jul 10 2018, 11:17 AM
Lucas_Werkmeister_WMDE changed the point value for this task from 5 to 8.Jul 10 2018, 11:20 AM
Lydia_Pintscher closed this task as Resolved.Aug 1 2018, 9:09 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

\o/